Bug 3860 - [UPDATE REQUEST] drakxtools-14.46-2, draklive-install-1.44-1
: [UPDATE REQUEST] drakxtools-14.46-2, draklive-install-1.44-1
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-20 16:55 MSK by Konstantin Vlasov
Modified: 2014-03-25 19:16 MSK (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Vlasov 2014-03-20 16:55:39 MSK
I implemented calling the firstboot stage directly in the main installer (after Grub configuration), so that after reboot user immediately gets a working system.

How to test:
1) boot from the image (either Live or Install) till the language selection dialog appears;
2) switch to terminal (Ctrl+Alt+F2), login as root;
3) install all the packages from the containers;
4) finish the terminal session by calling 'exit' and switch back to graphical session (Ctrl+Alt+F7 or Ctrl+Alt+F1, depending on the image);
5) continue installation as usual.

After Grub2 installation, all the firstboot steps are performed (root password, creating user, etc.).
Comment 3 Konstantin Vlasov 2014-03-20 18:30:03 MSK
Sorry, I found and fixed a bug in draklive-install. Please, use the following build lists:

https://abf.rosalinux.ru/build_lists/1710727
https://abf.rosalinux.ru/build_lists/1710728

https://abf.rosalinux.ru/build_lists/1710791
https://abf.rosalinux.ru/build_lists/1710792

Advisory: Firstboot stage moved into the main installer.
Comment 4 Postnikov Dmitry 2014-03-20 18:39:09 MSK
I tested in Gnome iso image 2917.
New installer work fine! And after reboot system start and normal work with new user.
Comment 5 Postnikov Dmitry 2014-03-20 18:53:33 MSK
(In reply to comment #3)
> Sorry, I found and fixed a bug in draklive-install. Please, use the
> following build lists:
> 
> https://abf.rosalinux.ru/build_lists/1710727
> https://abf.rosalinux.ru/build_lists/1710728
> 
> https://abf.rosalinux.ru/build_lists/1710791
> https://abf.rosalinux.ru/build_lists/1710792
> 
> Advisory: Firstboot stage moved into the main installer.

I second time tested in Gnome iso image 2917.
New installer work fine! And after reboot system start and normal work with new user.
Comment 6 Postnikov Dmitry 2014-03-20 19:31:47 MSK
(In reply to comment #3)
> Sorry, I found and fixed a bug in draklive-install. Please, use the
> following build lists:
> 
> https://abf.rosalinux.ru/build_lists/1710727
> https://abf.rosalinux.ru/build_lists/1710728
> 
> https://abf.rosalinux.ru/build_lists/1710791
> https://abf.rosalinux.ru/build_lists/1710792
> 
> Advisory: Firstboot stage moved into the main installer.

I tested in KDE iso image 2907.

New installer work fine! And after reboot system start and normal work with new user.
Comment 7 Vladimir Potapov 2014-03-21 19:12:16 MSK
drakxtools-14.46-2
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1710727/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1710728/x86_64/main/release/

draklive-install-1.44-3
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1710791/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1710792/x86_64/main/release/
************************** Advisory ********************
Firstboot stage moved into the main installer.
********************************************************
QA Verified